cppunit(1)

NAME
nurbs++-config - script to get information about the installed version of nurbs++

SYNOPSIS
nurbs++-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]

DESCRIPTION

nurbs++-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use nurbs++. It is also used internally to the .m4 macros for GNU autoconf that are included with nurbs++.

OPTIONS
nurbs++-config accepts the following options:

--version
    Print the currently installed version of nurbs++ on the standard output.

--libs
    Print the linker flags that are necessary to link a nurbs++ program.

--cflags
    Print the compiler flags that are necessary to compile a nurbs++ program.

--prefix
    Print the prefix with which nurbs++ was compiled.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that nurbs++ was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix
    Print the exec-prefix with which nurbs++ was compiled.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that nurbs++ was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

COPYRIGHT
NURBS++ Copyright © 1996-2002 by Philppe Lavoie <philosophil@users.sourceforge.net>

This software is under the LGPL. You can find a copy of the LGPL somewhere on the net, most likely at http://www.gnu.org.

AUTHOR
This manpage is an almost word-for-word copy of the cppunit-config which in turn is an almost word-for-word copy of the gtk-config manpage, written by Owen Taylor. It was modified by Philippe Lavoie <philosophil@users.sourceforge.net>.